/******************************************************************************
*  Question from a Blackboard test.
*
*  @author   Daniel R. Collins (dcollins@superdan.net)
*  @since    2015-02-15
*  @version  1.0
******************************************************************************/

public class Question {
	//--------------------------------------------------------------------------
	//  Fields
	//--------------------------------------------------------------------------

	/** Identifier for this string. */
	private String id;
	
	/** Question text. */
	private String question;
	
	/** Possible points. */
	private double points;

	/** ID number. */
	private int idNumber;

	//--------------------------------------------------------------------------
	//  Constructors
	//--------------------------------------------------------------------------

	/**	
	*  Constructor.
	*/
	Question (String id, String question, double points) {
		this.id = id;
		this.question = question;
		this.points = points;

		// Extract numerical ID from end of string
		idNumber = Integer.parseInt(id.substring(id.lastIndexOf(' ')+1));
	}
	
	//--------------------------------------------------------------------------
	//  Methods
	//--------------------------------------------------------------------------
	public String getId() { return id; }
	public String getQuestion() { return question; }
	public double getPoints() { return points; }
	public int getIdNumber() { return idNumber; }

	/**
	*  Returns a string representation of this question.
	*/
	public String toString() {
		return id + ", " + points + " points: \"" + question + "\"";
	}
	
	/**
	*  Main test function.
	*/
	public static void main (String[] args) {
		Question q = new Question("Question ID 1", "Who's there?", 2.5);
		System.out.println(q);
		System.out.println(q.idNumber);
	}
}

