/******************************************************************************
*  User (subject) of a Blackboard test.
*
*  @author   Daniel R. Collins (dcollins@superdan.net)
*  @since    2015-02-15
*  @version  1.0
******************************************************************************/

public class User {
	//--------------------------------------------------------------------------
	//  Fields
	//--------------------------------------------------------------------------

	/** User name key (ID). */
	private String userName;

	/** User last name. */
	private String lastName;

	/** User first name. */
	private String firstName;

	/** Question score array. */
	private double[] scores;

	//--------------------------------------------------------------------------
	//  Constructors
	//--------------------------------------------------------------------------

	/**	
	*  Constructor.
	*/
	User (String userName, String lastName, String firstName, int scoreSize) {
		this.userName = userName;
		this.lastName = lastName;
		this.firstName = firstName;
		scores = new double[scoreSize];
	}

	//--------------------------------------------------------------------------
	//  Methods
	//--------------------------------------------------------------------------
	public String getUserName() { return userName; }
	public String getLastName() { return lastName; }
	public String getFirstName() { return firstName; }
	public double getScore (int idx) { return scores[idx]; };
	public void setScore (int idx, double score) { scores[idx] = score; };

	/**
	*  Returns a string representation of this user.
	*/
	public String toString() {
		return "User " + userName + ": " + lastName + ", " + firstName;
	}
	
	/**
	*  Main test function.
	*/
	public static void main (String[] args) {
		User u = new User("1234", "Smith", "Alice", 20);
		System.out.println(u);
		u.setScore(10, 2.5);
		System.out.println(u.getScore(10));
	}
}

